export default class ObjectIdentifier {
    readonly _nodes: number[];
    constructor(nodes: number[], prefix?: ObjectIdentifier | number);
    get nodes(): number[];
    get dotDelimitedNotation(): string;
    get asn1Notation(): string;
    toString(): string;
    static fromString(str: string): ObjectIdentifier;
    toJSON(): string;
    static compare(a: ObjectIdentifier, b: ObjectIdentifier): boolean;
    isEqualTo(other: ObjectIdentifier): boolean;
}
//# sourceMappingURL=ObjectIdentifier.d.ts.map